Support » Fixing WordPress » 3.6 Update Error

Viewing 15 replies - 1 through 15 (of 15 total)
  • WPyogi

    (@wpyogi)

    benjamin336

    (@benjamin336)

    I can’t get logged in to disable anything, all sites are blank.
    Going over the post you linked at the moment

    benjamin336

    (@benjamin336)

    Is there a way to rollback?

    WPyogi

    (@wpyogi)

    That’s not recommended – as using an old version is a security risk. Do you have FTP to your site set up? Where is it hosted?

    Sorry, I see you posted the URL already…

    benjamin336

    (@benjamin336)

    I do have an FTP set up though I am not too happy with giving out information about that.
    Why would you need it?

    WPyogi

    (@wpyogi)

    Definitely don’t give out that info – to me or anyone! You’ll need to use the FTP to access the files and rename the plugin folder to

    wp-content
        pluginsOLD

    benjamin336

    (@benjamin336)

    Just did this and got the following error:

    Fatal error: Cannot redeclare get_post_gallery() (previously declared in /home/heikkwji/public_html/wp-includes/media.php:1997) in /home/heikkwji/public_html/wp-content/themes/rockwell_v1.7.1/functions.php on line 243

    Moderator t-p

    (@t-p)

    – To rule out any theme-specific issue, try switching to the unedited default theme (Twenty Twelve) for a moment using the WP dashboard. If you don’t have access to your admin area, you can switch to the default theme by renaming your current theme’s folder in wp-content/themes and adding “-old” to the end of the folder name using via FTP or SFTP or whatever file management application your host provides. Alternately, you can remove other themes except the default theme. That will force your site to use it.

    miekevson

    (@miekevson)

    OKay I’ve went through all the things listed in the files specified I should check first. It seems to be my theme I suppose. Maybe I’m missing something. Please let me know if anybody knows anything about this version of WP with Profits Theme.

    WPyogi

    (@wpyogi)

    @miekevson – where did you get the theme from? These forums only support themes from here:

    http://wordpress.org/themes/

    So you’ll need to ask the vendor/developer for help with a theme issue.

    Forum Help

    (@forum-help)

    Try this Fix – worked for us.

    – Download via FTP or FileManager the “wp-includes/media.php” and edit file via html/text editor

    – “Search and Replace” Ctrl+F – for “get_post_gallery”
    with the new code “ff_get_post_gallery” and re-upload media.php, refresh cache/clear cookies!

    -Hope it works for you guys as well!

    Latest Theme version is 2.0, this error appears in 1.7.1 version.

    If doesn’t work/solve:

    Update the “single post templates .php” files. in with the same “Search and Replace” Ctrl+F – for “get_post_gallery”
    with the new code “ff_get_post_gallery” and re-upload.

    “single post templates that you are using from the theme (for me this was just 2).”

    Moderator t-p

    (@t-p)

    “wp-includes/media.php” and edit file via html/text editor

    – First, when you update WP next time allsuch changes will be lost.

    – Second, it’s not a good idea to modify core files. Changing of core files may lead to other problems – security, etc.

    miekevson

    (@miekevson)

    I don’t like the new WP version.

    esmi

    (@esmi)

    Forum Moderator

    @miekevson: It is impolite to interrupt another poster’s ongoing thread with a question – or comment – of your own. It causes significant problems for the forum’s volunteers and prevents us from being able to track issues by topic. Please post your own topic.

    miekevson

    (@miekevson)

    Oh I apologize, didn’t mean to do that at all, how do I delete it? ;-(

Viewing 15 replies - 1 through 15 (of 15 total)
  • The topic ‘3.6 Update Error’ is closed to new replies.